Subject: Re: Please pull 'bcm43xx' branch of wireless-2.6?

From: Jeff Garzik <[email-masked]>
Date: Mon, 31 Jul 2006 16:01:43 -0400

John W. Linville wrote:
> Jeff, if a 10ms maximum delay is still acceptable to you, then please
> pull from the bcm43xx branch of wireless-2.6 into the upstream branch
> of netdev-2.6.

Just to be clear, 'upstream' not 'upstream-fixes', correct?

> P.S. FWIW, I'm still not totally happy w/ the (potential for a)
> long busy wait.  But, this series of patches makes things better by
> 100x over what is currently in the tree.  So, it seems worthwhile.
> I'll keep further reductions as an item on my TODO list, FWIW... :-)

Agreed.  And there are some existing busy-waits that (1) _obviously_ 
need to be converted to mdelay(), and (2) eventually need to be 
converted to msleep().

Overall, the Linux kernel community consensus is that long synchronous 
delays spinning the CPU should be avoided.

	Jeff